%global pkgvers 0
%global scdate0 20241221
%global schash0 3d1213f92ab458d95773f18f1158bf48cd67c6f3
%global branch0 master
%global source0 https://github.com/jgaeddert/liquid-dsp.git

%global sshort0 %{expand:%%{lua:print(('%{schash0}'):sub(1,8))}}

Name:           liquid-dsp
Version:        1.6.0
Release:        %{scdate0}.%{pkgvers}.git%{sshort0}%{?dist}
Summary:        Digital Signal Processing Library for Software-Defined Radios
License:        MIT

URL:            http://liquidsdr.org/

Patch1:         ppc64-configureac.patch
Patch3:         ppc64.patch

BuildRequires:  gcc make git autoconf automake libtool
BuildRequires:  fftw-devel fftw-libs-single

%description
Digital signal processing library for software-defined radios

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
Digital signal processing library for software-defined radios

%package        static
Summary:        Development files for %{name}
Requires:       %{name}-devel = %{version}-%{release}

%description    static
Digital signal processing library for software-defined radios


%prep
%setup -T -c -n %{name}
git clone --depth 1 -n -b %{branch0} %{source0} .
git fetch --depth 1 origin %{schash0}
git reset --hard %{schash0}
git log --format=fuller
%patch -P 1 -p1
%patch -P 3 -p1


%build
sed -i 's|${VERSION}.so|so.${VERSION}|' makefile.in
sed -i 's|${VERSION}.${SH_LIB}|${SH_LIB}.${VERSION}|' makefile.in
autoreconf -f -i
%configure --exec_prefix=/ --enable-simdoverride
%make_build


%install
%make_install
chmod +x %{buildroot}/%{_libdir}/*.so


%ldconfig_scriptlets


%files
%license LICENSE
%{_libdir}/libliquid.so.*


%files devel
%{_includedir}/liquid/
%{_libdir}/libliquid.so


%files static
%{_libdir}/libliquid.*a*


%changelog
* Tue Aug 25 2020 Balint Cristian <cristian.balint@gmail.com>
- initial release
